Package org.zkoss.zhtml

## Class Area

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zhtml.impl.AbstractTag
    - - org.zkoss.zhtml.Area

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `DynamicPropertied`, `RawId`, `Scope`, `ComponentCtrl`

      public class Area
      extends AbstractTag

  The AREA tag.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zhtml.impl.AbstractTag

      `AbstractTag.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zhtml.impl.AbstractTag

      `_tagnm`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Area()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlt()` | Returns the alt of this area tag.
    `java.lang.String` | `getCoords()` | Returns the coords of this area tag.
    `java.lang.String` | `getDownload()` | Returns the download of this area tag.
    `java.lang.String` | `getHref()` | Returns the href of this area tag.
    `java.lang.String` | `getMedia()` | Returns the media of this area tag.
    `java.lang.String` | `getPing()` | Returns the ping of this a tag.
    `java.lang.String` | `getReferrerpolicy()` | Returns the referrerpolicy of this a tag.
    `java.lang.String` | `getRel()` | Returns the rel of this area tag.
    `java.lang.String` | `getShape()` | Returns the shape of this area tag.
    `java.lang.String` | `getTarget()` | Returns the target of this area tag.
    `void` | `setAlt​(java.lang.String alt)` | Sets the alt of this area tag.
    `void` | `setCoords​(java.lang.String coords)` | Sets the coords of this area tag.
    `void` | `setDownload​(java.lang.String download)` | Sets the download of this area tag.
    `void` | `setHref​(java.lang.String href)` | Sets the href of this area tag.
    `void` | `setMedia​(java.lang.String media)` | Sets the media of this area tag.
    `void` | `setPing​(java.lang.String ping)` | Sets the ping of this a tag as a space-separated list of URLs.
    `void` | `setReferrerpolicy​(java.lang.String referrerpolicy)` | Sets the referrerpolicy of this a tag.
    `void` | `setRel​(java.lang.String rel)` | Sets the rel of this area tag.
    `void` | `setShape​(java.lang.String shape)` | Sets the shape of this area tag.
    `void` | `setTarget​(java.lang.String target)` | Sets the target of this area tag.

    - ### Methods inherited from class org.zkoss.zhtml.impl.AbstractTag

      `clone, getAccesskey, getDir, getDynamicProperties, getDynamicProperty, getExtraCtrl, getLang, getPropertyAccess, getSclass, getStyle, getTabindex, getTag, getTitle, getWidgetClass, hasDynamicProperty, isChildable, isContenteditable, isDraggable, isHidden, isOrphanTag, isSpellcheck, redraw, redrawChildrenDirectly, renderProperties, setAccesskey, setContenteditable, setDir, setDraggable, setDynamicProperty, setHidden, setLang, setSclass, setSpellcheck, setStyle, setTabindex, setTitle, setVisible, shallHideId, toString`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildAdded, beforeChildRemoved, beforeParentChanged, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, insertBefore, invalidate, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Area

          public Area()

  - ### Method Detail

    - #### getAlt

          public java.lang.String getAlt()

      Returns the alt of this area tag.
      Since:
        8.0.3

    - #### setAlt

          public void setAlt​(java.lang.String alt)
                      throws WrongValueException

      Sets the alt of this area tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getCoords

          public java.lang.String getCoords()

      Returns the coords of this area tag.
      Since:
        8.0.3

    - #### setCoords

          public void setCoords​(java.lang.String coords)
                         throws WrongValueException

      Sets the coords of this area tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getDownload

          public java.lang.String getDownload()

      Returns the download of this area tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setDownload

          public void setDownload​(java.lang.String download)
                           throws WrongValueException

      Sets the download of this area tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getHref

          public java.lang.String getHref()

      Returns the href of this area tag.
      Since:
        8.0.3

    - #### setHref

          public void setHref​(java.lang.String href)
                       throws WrongValueException

      Sets the href of this area tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getMedia

          public java.lang.String getMedia()

      Returns the media of this area tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setMedia

          public void setMedia​(java.lang.String media)
                        throws WrongValueException

      Sets the media of this area tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getRel

          public java.lang.String getRel()

      Returns the rel of this area tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setRel

          public void setRel​(java.lang.String rel)
                      throws WrongValueException

      Sets the rel of this area tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getShape

          public java.lang.String getShape()

      Returns the shape of this area tag.
      Since:
        8.0.3

    - #### setShape

          public void setShape​(java.lang.String shape)
                        throws WrongValueException

      Sets the shape of this area tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getTarget

          public java.lang.String getTarget()

      Returns the target of this area tag.
      Since:
        8.0.3

    - #### setTarget

          public void setTarget​(java.lang.String target)
                         throws WrongValueException

      Sets the target of this area tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getPing

          public java.lang.String getPing()

      Returns the ping of this a tag.
      Since:
        10.0.0

    - #### setPing

          public void setPing​(java.lang.String ping)
                       throws WrongValueException

      Sets the ping of this a tag as a space-separated list of URLs. When the link is followed, the browser will send `POST` requests with the body `PING` to the URLs. Typically, it's for tracking.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getReferrerpolicy

          public java.lang.String getReferrerpolicy()

      Returns the referrerpolicy of this a tag.
      Since:
        10.0.0

    - #### setReferrerpolicy

          public void setReferrerpolicy​(java.lang.String referrerpolicy)
                                 throws WrongValueException

      Sets the referrerpolicy of this a tag.

      How much of the `referrer` to send when following the link.

      - `no-referrer`: The Referer header will not be sent.
      - `no-referrer-when-downgrade`: The Referer header will not be sent to origins without TLS (HTTPS).
      - `origin`: The sent referrer will be limited to the origin of the referring page: its scheme, host, and port.
      - `origin-when-cross-origin`: The referrer sent to other origins will be limited to the scheme, the host, and the port. Navigations on the same origin will still include the path.
      - `same-origin`: A referrer will be sent for same origin, but cross-origin requests will contain no referrer information.
      - `strict-origin`: Only send the origin of the document as the referrer when the protocol security level stays the same (HTTPS→HTTPS), but don't send it to a less secure destination (HTTPS→HTTP).
      - `strict-origin-when-cross-origin` (default): Send a full URL when performing a same-origin request, only send the origin when the protocol security level stays the same (HTTPS→HTTPS), and send no header to a less secure destination (HTTPS→HTTP).
      - `unsafe-url`: The referrer will include the origin and the path (but not the fragment, password, or username). This value is unsafe, because it leaks origins and paths from TLS-protected resources to insecure origins.
      Throws:
        `WrongValueException`
      Since:
        10.0.0